<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Transfection2018/FitTransfection2018.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_947b0bade59f2ec1a3d6dcc5254e948b.html">Transfection2018</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FitTransfection2018.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dd/dcf/_fit_transfection2018_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;%</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;% @brief <a class="code" href="../../dd/dcf/_fit_transfection2018_8m.html#a20d8c6a010d489bfd85281f7146fc514">FitTransfection2018</a> fits the Transfection dataset with the GTS. An</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;% example script.</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;%</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="../../dd/dcf/_fit_transfection2018_8m.html#a20d8c6a010d489bfd85281f7146fc514">    7</a></span>&#160;<span class="keyword">function</span> []= <a class="code" href="../../dd/dcf/_fit_transfection2018_8m.html#a20d8c6a010d489bfd85281f7146fc514">FitTransfection2018</a>()</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;initPaths()</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;% get the GTS options: a default structure</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;GTSoptions=<a class="code" href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a>();</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;GTSoptions.FSopt.gloalgMaxeval=1e4;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;GTSoptions.FSopt.runtype=1;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;GTSoptions.compileflag=0;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;GTSoptions.FSopt.parWorkers=50;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;% 1. Run the first stage estimation</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;% GTSoptions.FSopt.GLS.errorEstimation=&#39;PL&#39;;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;% </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;% % 1a. With PL-pool</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;% <a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(&#39;Transfection2018&#39;,[], &#39;Data_eGFP&#39;,GTSoptions)</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;% <a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(&#39;Transfection2018&#39;,[], &#39;Data_deGFP&#39;,GTSoptions)</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;% 1b. With AR-pool </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;GTSoptions.FSopt.GLS.errorEstimation=&#39;AR&#39;;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(&#39;Transfection2018&#39;,[], &#39;Data_eGFP&#39;,GTSoptions)</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(&#39;Transfection2018&#39;,[], &#39;Data_deGFP&#39;,GTSoptions)</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;%%</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;% Second stage and using different options</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;GTSoptions.FSopt.runtype=0;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;GTSoptions.compileflag=0;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;GTSoptions.runSecondStage=1;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;GTSoptions.SSopt.Optimization=&#39;Optimizer&#39;;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;GTSoptions.SSopt.inpfiles={<span class="stringliteral">&#39;Data_eGFP&#39;</span>,<span class="stringliteral">&#39;Data_deGFP&#39;</span>};</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;GTSoptions.SSopt.ncluster=1;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;GTSoptions.SSopt.jointExps=0;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;% 2: Do not initialize the parameters, and treat two experiments separate</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;% from one another</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;GTSoptions.SSopt.initialbeta0=[];</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;GTSoptions.SSopt.initialD0=[];</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex1_&#39;</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;% 3. With specification of the bounds <span class="keywordflow">for</span> the optimizer</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;GTSoptions.SSopt.initialbeta0=[];</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;GTSoptions.SSopt.initialD0=[];</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;GTSoptions.SSopt.optim.lower_bounds=[repmat(-10,1,10),repmat(-1,1,10)];</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;GTSoptions.SSopt.optim.upper_bounds=[repmat(10,1,10),repmat(1,1,10)];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex2_&#39;</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;% 4. With initialization of the parameters</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;GTSoptions.SSopt.jointExps=1;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;GTSoptions.SSopt.initialbeta0=[-2   -2.7    5.    0.1037    2.0328];</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;GTSoptions.SSopt.initialD0=eye(length(GTSoptions.SSopt.initialbeta0));</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;GTSoptions.SSopt.optim.lower_bounds=[];</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;GTSoptions.SSopt.optim.upper_bounds=[];</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex3_&#39;</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;% 5. With a user specified fn handle and covariate mapping <span class="keyword">function</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex4_&#39;</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;GTSoptions.SSopt.jointExps=1;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;GTSoptions.SSopt.covariate_flag=[zeros(1,236),ones(1,394)];</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;GTSoptions.SSopt.initialbeta0=[-2  -2.4   -2.7    5.    0.1037    2.0328];</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;GTSoptions.SSopt.initialD0=eye(length(GTSoptions.SSopt.initialbeta0));</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;GTSoptions.SSopt.optim.fnHandle=@<a class="code" href="../../da/db2/_s_s_objective_fn_8m.html#a5744ab977d588eacd0c8cf96c0be2a45">SSObjectiveFn</a>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;GTSoptions.SSopt.optim.fnParamMapper=@<a class="code" href="../../d8/d21/get_parameter_mat_fn_8m.html#affa4728eebf2bb9736f6b1ed97eb9afa">getParameterMatFn</a>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;GTSoptions.SSopt.CovariateFn=@<a class="code" href="../../d3/d5a/get_aimulti_exp_8m.html#a10582905917885bd4280c84f9afc825c">getAimultiExp</a>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;%% Example: Using the EM</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;% 6. With out covariates, treating each experiment separate</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;GTSoptions=<a class="code" href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a>();</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;GTSoptions.FSopt.runtype=0;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;GTSoptions.compileflag=0;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;GTSoptions.runSecondStage=1;           % Will run second stage</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;GTSoptions.SSopt.inpfiles={<span class="stringliteral">&#39;Data_eGFP&#39;</span>,<span class="stringliteral">&#39;Data_deGFP&#39;</span>};  % Passing more than 1 input files..</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;GTSoptions.SSopt.Optimization=<span class="stringliteral">&#39;LGTS_EM&#39;</span>;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;GTSoptions.SSopt.jointExps=0;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex5_&#39;</span>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;% 7. Treating both experiments together</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;GTSoptions.SSopt.jointExps=1;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex6_&#39;</span>;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;% 8. With initialization, and treating both experiments together</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;GTSoptions.SSopt.initialbeta0=[-2    -2.7    5.    0.1037    2.0328];</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;GTSoptions.SSopt.initialD0=eye(length(GTSoptions.SSopt.initialbeta0));</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex7_&#39;</span>;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;% 9. With initialization, and covariate on the fixed terms</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;GTSoptions.SSopt.initialbeta0=[-2  -2.4   -2.7    5.    0.1037    2.0328];</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;GTSoptions.SSopt.CovariateFn=@<a class="code" href="../../d3/d5a/get_aimulti_exp_8m.html#a10582905917885bd4280c84f9afc825c">getAimultiExp</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;GTSoptions.SSopt.covariate_flag=[zeros(1,236),ones(1,394)];</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;GTSoptions.SSopt.fname_append=<span class="stringliteral">&#39;Ex8_&#39;</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Transfection2018&#39;</span>, [],[],GTSoptions)</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;end</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_call_run_g_t_s_8m_html_a58ebca8235214b8d1161e6d415989219"><div class="ttname"><a href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a></div><div class="ttdeci">function CallRunGTS(in model_name, in datafolder, in dataname, in GTSoptions)</div><div class="ttdoc">Call function to run GTS estimation %&gt; %&gt; More detailed description. %&gt; %&gt;</div></div>
<div class="ttc" id="a_fit_transfection2018_8m_html_a20d8c6a010d489bfd85281f7146fc514"><div class="ttname"><a href="../../dd/dcf/_fit_transfection2018_8m.html#a20d8c6a010d489bfd85281f7146fc514">FitTransfection2018</a></div><div class="ttdeci">function FitTransfection2018()</div></div>
<div class="ttc" id="aget_aimulti_exp_8m_html_a10582905917885bd4280c84f9afc825c"><div class="ttname"><a href="../../d3/d5a/get_aimulti_exp_8m.html#a10582905917885bd4280c84f9afc825c">getAimultiExp</a></div><div class="ttdeci">function getAimultiExp(in nbeta, in covariate_flag)</div><div class="ttdoc">get_ai_multiExp gets the design matrix for each cell given the covarite flag they have</div></div>
<div class="ttc" id="aget_parameter_mat_fn_8m_html_affa4728eebf2bb9736f6b1ed97eb9afa"><div class="ttname"><a href="../../d8/d21/get_parameter_mat_fn_8m.html#affa4728eebf2bb9736f6b1ed97eb9afa">getParameterMatFn</a></div><div class="ttdeci">function getParameterMatFn(in parameters, in varargin)</div><div class="ttdoc">Function that takes in a vector of parameters and converts it to.</div></div>
<div class="ttc" id="a_s_s_objective_fn_8m_html_a5744ab977d588eacd0c8cf96c0be2a45"><div class="ttname"><a href="../../da/db2/_s_s_objective_fn_8m.html#a5744ab977d588eacd0c8cf96c0be2a45">SSObjectiveFn</a></div><div class="ttdeci">function SSObjectiveFn(in parameters, in invCi, in Ci, in Ai, in singlecell_estimates, in varargin)</div><div class="ttdoc">SSObjectiveFn is a user specified objective which is specific to the project. This can be passed to t...</div></div>
<div class="ttc" id="aget_g_t_soptions_8m_html_ae647b62533f002ee981fb9dc2fc63d7a"><div class="ttname"><a href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a></div><div class="ttdeci">function getGTSoptions()</div><div class="ttdoc">getGTSoptions initialses the options structure to be run in the GTS</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
